Subject: Suggestions for consGlos

From: "Curtis E. Dyreson" <curtis>
Date: Fri, 27 Aug 1993 10:18:13 -0700 (MST)

Just a few minor suggestions for the current glossary version.

> \entry{Instant}{instant}
> 
> \epart{Definition}
> 
> An {\em instant\/} is a time point of infinitesimal duration. 
> 
> \epart{Explanation}
> 
> The concept of an instant derives from a perception of time as being
> continuous. The time domain is perceived to be isomorphic to the real
> numbers. Thus, an instant is the temporal counterpart of a real
> number.
> 
> In a data model that supports a time line using \ic{chronons}
> (isomorphic to the natural numbers or a subset thereof), an instant is
> represented by a chronon. A single chronon may therefore represent
> multiple instants.
> 

PROBLEM: The concept of instant is unnecessarily linked to the 
continuous model of time.  A researcher using a discrete model 
of time at the "conceptual" level does not have any time points of
infinitesimal duration, hence cannot refer to "instants" (as defined)
in her data model.  I am assuming that the ability to refer to 
time points in a model of time (be that model discrete, continuous, or dense)
is of some "conceptual" utility.  Currently there is no other proposed term
that captures this notion (a chronon is defined in terms of a time 
interval which in turn uses the concept of instant).

PROPOSAL: Replace with the following.

\entry{Instant}{instant}
 
\epart{Definition}
 
An {\em instant\/} is a time point on an underlying time axis.
 
\epart{Explanation}
 
Various models of time have been proposed in the philosophical and
logical literature of time (e.g., van Benthem). These view time, among
other things, as discrete, dense, or continuous. Intuitively, the instants
in a discrete model of time are isomorphic to the natural numbers, i.e., 
there is the notion that every instant has a unique successor. 
Instants in the dense model of time are isomorphic to (either) the 
real or rational numbers: between any two instants there is always another.
Continuous models of time are isomorphic to the real numbers, i.e.,
both dense and also, unlike the rational numbers, with no ``gaps.''

In a data model that supports a time line using \ic{chronons}
(isomorphic to the natural numbers or a subset thereof), an instant is
represented by a chronon. A single chronon may therefore represent
multiple instants.

> \entry{Chronon}{chronon}
> 
> \epart{Definition}
> 
> In a data model, a one-dimensional {\em chronon} is a non-decomposable
> \ic{time interval} of some fixed, minimal duration.  An
> $n$-dimensional chronon is a non-decomposable region in
> $n$-dimensional time. Important special types of chronons include
> \ic{valid-time}, \ic{transaction-time}, and \ic{bitemporal} chronons.
> 
> \epart{Explanation}
> 
> Data models may represent a time line by a sequence of
> non-decomposable, consecutive time intervals of identical duration.
> These intervals are termed chronons. A data model will typically leave
> the particular chronon duration unspecified, to be fixed later by the
> individual applications, within the restrictions posed by the
> implementation of the data model.
> 
> Various models of time have been proposed in the philosophical and
> logical literature of time (e.g., van Benthem). These view time, among
> other things, as discrete, dense, or continuous. Intuitively, discrete
> models of time are isomorphic to the natural numbers, i.e., there is
> the notion that every moment of time has a unique successor. Dense
> models of time are isomorphic to (either) the real or rational
> numbers: between any two moments of time there is always another.
> Continuous models of time are isomorphic to the real numbers, i.e.,
> both dense and also, unlike the rational numbers, with no ``gaps.''
> 

PROBLEM: Second paragraph in the explanation doesn't mention chronon, 
nor does it appear to explain chronon at all, although it is a useful
explanation of the three models of time.

PROPOSAL: Remove it (by moving to instant where it does belong!).

> \entry{Upper Support Chronon}{upper support chronon}
> \entry{Lower Support Chronon}{lower support chronon}

PROBLEM: As indeterminate event is undefined, these definitions should
be removed.

PROPOSAL: Remove them.

Curtis Dyreson